/2chat | Type: Application | PCID required: Yes
Tools
2chat_check_whatsapp_number
Check if a number is on WhatsApp Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
your_number | string | Yes | — | Your connected WhatsApp number in international format |
number_to_check | string | Yes | — | The phone number to check in international format |
extra-information | boolean | No | — | Include extra profile information if available |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"your_number": {
"type": "string",
"description": "Your connected WhatsApp number in international format"
},
"number_to_check": {
"type": "string",
"description": "The phone number to check in international format"
},
"extra-information": {
"type": "boolean",
"description": "Include extra profile information if available"
}
},
"required": [
"PCID",
"your_number",
"number_to_check"
]
}
2chat_create_contact
Create a contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
channel_uuid | string | No | — | UUID of the channel to associate the contact with |
contact_detail | object[] | Yes | — | Contact details array. Each item has type (E=Email, A=Address, PH=Phone, WAPH=WhatsApp Phone) and value. |
first_name | string | Yes | — | Contact’s first name |
last_name | string | No | — | Contact’s last name |
profile_pic_url | string | No | — | URL to the contact’s profile picture |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"channel_uuid": {
"type": "string",
"description": "UUID of the channel to associate the contact with"
},
"contact_detail": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"E",
"A",
"PH",
"WAPH"
],
"description": "Detail type: E=Email, A=Address, PH=Phone, WAPH=WhatsApp Phone"
},
"value": {
"type": "string",
"description": "The detail value"
}
}
},
"description": "Contact details array. Each item has type (E=Email, A=Address, PH=Phone, WAPH=WhatsApp Phone) and value."
},
"first_name": {
"type": "string",
"description": "Contact's first name"
},
"last_name": {
"type": "string",
"description": "Contact's last name"
},
"profile_pic_url": {
"type": "string",
"description": "URL to the contact's profile picture"
}
},
"required": [
"PCID",
"contact_detail",
"first_name"
]
}
2chat_delete_contact
Delete a contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
contact_uuid | string | Yes | — | UUID of the contact |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"contact_uuid": {
"type": "string",
"description": "UUID of the contact"
}
},
"required": [
"PCID",
"contact_uuid"
]
}
2chat_execute_whatsapp_channel_command
Execute command on a WhatsApp channel Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
channel_uuid | string | Yes | — | UUID of the WhatsApp channel |
command | string | Yes | — | Command to execute on the channel |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"channel_uuid": {
"type": "string",
"description": "UUID of the WhatsApp channel"
},
"command": {
"type": "string",
"description": "Command to execute on the channel",
"enum": [
"connect",
"disconnect"
]
}
},
"required": [
"PCID",
"channel_uuid",
"command"
]
}
2chat_get_account_info
Get account informationShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
2chat_get_call_details
Get call details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
call_uuid | string | Yes | — | UUID of the call record (format: CDR{uuid}) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"call_uuid": {
"type": "string",
"description": "UUID of the call record (format: CDR{uuid})"
}
},
"required": [
"PCID",
"call_uuid"
]
}
2chat_get_call_history
Get call history Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page_number | integer | No | — | Page number for pagination |
direction | string | No | — | Filter by call direction |
to_number | string | No | — | Filter by destination number |
from_number | string | No | — | Filter by source number |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page_number": {
"type": "integer",
"description": "Page number for pagination"
},
"direction": {
"type": "string",
"description": "Filter by call direction",
"enum": [
"inbound",
"outbound"
]
},
"to_number": {
"type": "string",
"description": "Filter by destination number"
},
"from_number": {
"type": "string",
"description": "Filter by source number"
}
},
"required": [
"PCID"
]
}
2chat_get_contact
Get a contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
contact_uuid | string | Yes | — | UUID of the contact |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"contact_uuid": {
"type": "string",
"description": "UUID of the contact"
}
},
"required": [
"PCID",
"contact_uuid"
]
}
2chat_get_estimated_call_price
Get estimated call price Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
phone_number | string | Yes | — | Destination phone number in international format |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"phone_number": {
"type": "string",
"description": "Destination phone number in international format"
}
},
"required": [
"PCID",
"phone_number"
]
}
2chat_get_waba_number
Get WABA number details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
waba_uuid | string | Yes | — | UUID of the WABA number |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"waba_uuid": {
"type": "string",
"description": "UUID of the WABA number"
}
},
"required": [
"PCID",
"waba_uuid"
]
}
2chat_get_waba_templates
Get WABA message templates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
phone_number | string | Yes | — | Your WABA phone number in international format |
page | integer | No | — | Page number (0-based) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"phone_number": {
"type": "string",
"description": "Your WABA phone number in international format"
},
"page": {
"type": "integer",
"description": "Page number (0-based)"
}
},
"required": [
"PCID",
"phone_number"
]
}
2chat_get_whatsapp_conversation_messages
Get messages for a specific conversation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
your_number | string | Yes | — | Your connected WhatsApp number in international format |
remote_number | string | Yes | — | The remote phone number in international format |
page_number | integer | No | — | Page number for pagination |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"your_number": {
"type": "string",
"description": "Your connected WhatsApp number in international format"
},
"remote_number": {
"type": "string",
"description": "The remote phone number in international format"
},
"page_number": {
"type": "integer",
"description": "Page number for pagination"
}
},
"required": [
"PCID",
"your_number",
"remote_number"
]
}
2chat_get_whatsapp_group_messages
Get group messages Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_uuid | string | Yes | — | UUID of the WhatsApp group |
page_number | integer | No | — | Page number for pagination |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_uuid": {
"type": "string",
"description": "UUID of the WhatsApp group"
},
"page_number": {
"type": "integer",
"description": "Page number for pagination"
}
},
"required": [
"PCID",
"group_uuid"
]
}
2chat_get_whatsapp_group_participants
List group participants Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_uuid | string | Yes | — | UUID of the WhatsApp group |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_uuid": {
"type": "string",
"description": "UUID of the WhatsApp group"
}
},
"required": [
"PCID",
"group_uuid"
]
}
2chat_get_whatsapp_messages
Get WhatsApp messages for a number Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
your_number | string | Yes | — | Your connected WhatsApp number in international format |
page_number | integer | No | — | Page number for pagination |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"your_number": {
"type": "string",
"description": "Your connected WhatsApp number in international format"
},
"page_number": {
"type": "integer",
"description": "Page number for pagination"
}
},
"required": [
"PCID",
"your_number"
]
}
2chat_get_whatsapp_number
Get WhatsApp number details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
channel_uuid | string | Yes | — | UUID of the WhatsApp channel |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"channel_uuid": {
"type": "string",
"description": "UUID of the WhatsApp channel"
}
},
"required": [
"PCID",
"channel_uuid"
]
}
2chat_list_account_users
List account usersShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
2chat_list_contacts
List contacts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
channel_uuid | string | No | — | Filter contacts by channel UUID |
results_per_page | integer | No | — | Number of results per page (1-100) |
page_number | integer | No | — | Page number for pagination |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"channel_uuid": {
"type": "string",
"description": "Filter contacts by channel UUID"
},
"results_per_page": {
"type": "integer",
"description": "Number of results per page (1-100)"
},
"page_number": {
"type": "integer",
"description": "Page number for pagination"
}
},
"required": [
"PCID"
]
}
2chat_list_virtual_numbers
List virtual phone numbers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page_number | integer | No | — | Page number for pagination |
results_per_page | integer | No | — | Number of results per page (default 50) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page_number": {
"type": "integer",
"description": "Page number for pagination"
},
"results_per_page": {
"type": "integer",
"description": "Number of results per page (default 50)"
}
},
"required": [
"PCID"
]
}
2chat_list_whatsapp_catalog_products
List catalog products Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
from_number | string | Yes | — | Your connected WhatsApp number in international format |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"from_number": {
"type": "string",
"description": "Your connected WhatsApp number in international format"
}
},
"required": [
"PCID",
"from_number"
]
}
2chat_list_whatsapp_conversations
List WhatsApp conversations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
channel_uuid | string | Yes | — | UUID of the WhatsApp channel |
page_number | integer | Yes | — | Page number for pagination |
phone_number | string | No | — | Filter conversations by phone number |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"channel_uuid": {
"type": "string",
"description": "UUID of the WhatsApp channel"
},
"page_number": {
"type": "integer",
"description": "Page number for pagination"
},
"phone_number": {
"type": "string",
"description": "Filter conversations by phone number"
}
},
"required": [
"PCID",
"channel_uuid",
"page_number"
]
}
2chat_list_whatsapp_groups
List WhatsApp groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
phone_number | string | Yes | — | Your connected WhatsApp number in international format |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"phone_number": {
"type": "string",
"description": "Your connected WhatsApp number in international format"
}
},
"required": [
"PCID",
"phone_number"
]
}
2chat_list_whatsapp_numbers
List connected WhatsApp numbers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page_number | integer | No | — | Page number for pagination |
results_per_page | integer | No | — | Number of results per page (default 50) |
status | string | No | — | Filter by connection status |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page_number": {
"type": "integer",
"description": "Page number for pagination"
},
"results_per_page": {
"type": "integer",
"description": "Number of results per page (default 50)"
},
"status": {
"type": "string",
"description": "Filter by connection status",
"enum": [
"connected",
"disconnected",
"all"
]
}
},
"required": [
"PCID"
]
}
2chat_search_contacts
Search contacts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | string | No | — | Search query string |
channel_uuid | string | No | — | Filter by channel UUID |
results_per_page | integer | No | — | Number of results per page (1-100) |
page_number | integer | No | — | Page number for pagination |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "string",
"description": "Search query string"
},
"channel_uuid": {
"type": "string",
"description": "Filter by channel UUID"
},
"results_per_page": {
"type": "integer",
"description": "Number of results per page (1-100)"
},
"page_number": {
"type": "integer",
"description": "Page number for pagination"
}
},
"required": [
"PCID"
]
}
2chat_send_sms
Send an SMS message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
from_number | string | Yes | — | Your virtual phone number in E.164 format (e.g., +1234567890) |
text | string | Yes | — | SMS message text (max 160 characters per segment) |
to_number | string | Yes | — | Recipient phone number in E.164 format |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"from_number": {
"type": "string",
"description": "Your virtual phone number in E.164 format (e.g., +1234567890)"
},
"text": {
"type": "string",
"description": "SMS message text (max 160 characters per segment)"
},
"to_number": {
"type": "string",
"description": "Recipient phone number in E.164 format"
}
},
"required": [
"PCID",
"from_number",
"text",
"to_number"
]
}
2chat_send_waba_message
Send a WABA message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
from_number | string | Yes | — | Your WABA phone number in international format |
params | object | No | — | Template parameters |
template_uuid | string | No | — | UUID of the message template to use (for template messages) |
text | string | No | — | Message text (for session messages within the 24-hour window) |
to_number | string | Yes | — | Recipient phone number in international format |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"from_number": {
"type": "string",
"description": "Your WABA phone number in international format"
},
"params": {
"type": "object",
"description": "Template parameters",
"properties": {
"body": {
"type": "array",
"items": {
"type": "string"
},
"description": "Body parameter values for the template"
},
"header": {
"type": "string",
"description": "Header parameter value"
}
}
},
"template_uuid": {
"type": "string",
"description": "UUID of the message template to use (for template messages)"
},
"text": {
"type": "string",
"description": "Message text (for session messages within the 24-hour window)"
},
"to_number": {
"type": "string",
"description": "Recipient phone number in international format"
}
},
"required": [
"PCID",
"from_number",
"to_number"
]
}
2chat_send_whatsapp_message
Send a WhatsApp message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
from_number | string | Yes | — | Your connected WhatsApp number in international format (e.g., +1234567890) |
text | string | Yes | — | Message text content |
to_group_uuid | string | No | — | UUID of the WhatsApp group to send the message to. Use instead of to_number for group messages. |
to_number | string | No | — | Recipient phone number in international format. Required if not sending to a group. |
url | string | No | — | URL of media file to attach (image, video, audio, or document) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"from_number": {
"type": "string",
"description": "Your connected WhatsApp number in international format (e.g., +1234567890)"
},
"text": {
"type": "string",
"description": "Message text content"
},
"to_group_uuid": {
"type": "string",
"description": "UUID of the WhatsApp group to send the message to. Use instead of to_number for group messages."
},
"to_number": {
"type": "string",
"description": "Recipient phone number in international format. Required if not sending to a group."
},
"url": {
"type": "string",
"description": "URL of media file to attach (image, video, audio, or document)"
}
},
"required": [
"PCID",
"from_number",
"text"
]
}
2chat_set_whatsapp_image_status
Set WhatsApp image status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
number | string | Yes | — | Your connected WhatsApp number in international format |
image_url | string | Yes | — | URL of the image to post as status |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"number": {
"type": "string",
"description": "Your connected WhatsApp number in international format"
},
"image_url": {
"type": "string",
"description": "URL of the image to post as status"
}
},
"required": [
"PCID",
"number",
"image_url"
]
}
2chat_set_whatsapp_text_status
Set WhatsApp text status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
number | string | Yes | — | Your connected WhatsApp number in international format |
params | object | No | — | Optional styling parameters |
text | string | Yes | — | Text content for the status |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"number": {
"type": "string",
"description": "Your connected WhatsApp number in international format"
},
"params": {
"type": "object",
"description": "Optional styling parameters",
"properties": {
"backgroundColor": {
"type": "string",
"description": "Background color in hex format (e.g., #FF5733)"
},
"font": {
"type": "integer",
"description": "Font style index"
}
}
},
"text": {
"type": "string",
"description": "Text content for the status"
}
},
"required": [
"PCID",
"number",
"text"
]
}
2chat_set_whatsapp_video_status
Set WhatsApp video status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
number | string | Yes | — | Your connected WhatsApp number in international format |
video_url | string | Yes | — | URL of the video to post as status |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"number": {
"type": "string",
"description": "Your connected WhatsApp number in international format"
},
"video_url": {
"type": "string",
"description": "URL of the video to post as status"
}
},
"required": [
"PCID",
"number",
"video_url"
]
}
2chat_sync_waba_templates
Sync WABA templates from Meta Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
phone_number | string | Yes | — | Your WABA phone number in international format |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"phone_number": {
"type": "string",
"description": "Your WABA phone number in international format"
}
},
"required": [
"PCID",
"phone_number"
]
}
2chat_update_contact
Update a contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
contact_uuid | string | Yes | — | UUID of the contact |
channel_uuid | string | No | — | UUID of the channel to associate the contact with |
first_name | string | No | — | Contact’s first name |
last_name | string | No | — | Contact’s last name |
profile_pic_url | string | No | — | URL to the contact’s profile picture |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"contact_uuid": {
"type": "string",
"description": "UUID of the contact"
},
"channel_uuid": {
"type": "string",
"description": "UUID of the channel to associate the contact with"
},
"first_name": {
"type": "string",
"description": "Contact's first name"
},
"last_name": {
"type": "string",
"description": "Contact's last name"
},
"profile_pic_url": {
"type": "string",
"description": "URL to the contact's profile picture"
}
},
"required": [
"PCID",
"contact_uuid"
]
}

